Bug 222788

Summary: 100% CPU usage with XP VM.
Product: [Fedora] Fedora Reporter: Austin <aa_sb_0>
Component: qemuAssignee: David Woodhouse <dwmw2>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: hdegoede, triage
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 484166 (view as bug list) Environment:
Last Closed: 2008-05-06 13:21:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Austin 2007-01-16 03:13:48 EST
Description of problem: Very high to 100% CPU usage with XP VM. (Despite CPU
usage inside VM at < 10%.


Version-Release number of selected component (if applicable): $ qemu 
QEMU PC emulator version 0.8.2, Copyright (c) 2003-2005 Fabrice Bellard


How reproducible: Reasonably constant, but occasionally spikes ~50% of the time.


Steps to Reproduce:
1. Run Qemu with XP Pro VM.
2. Log in to XP VM
3. Turn off all eye-candy in XP, and leave it sit at desktop.
4. Have TaskManager minimised in system-tray.
5. Observe host CPU with top / gkrellm.
  
Actual results:
AthlonX2 5000+ CPU is constantly at 2600 MHz, despite Cool-n-Quiet enabled.
Without Qemu running, the cpu usage will drop to 1000 MHz

Expected results:
Host CPU to mimick guest + margin (overhead).

Additional info:
Command line used to run qemu:
qemu -m 256 -usb -kernel-kqemu -localtime -usbdevice tablet /usr/local/Data/xpvm.dat
Running the 2.6.18-1.2849.fc6 kernel.
Whether or not kqemu is loaded doesn't appear to make a difference.

Any other details available upon request.
Comment 1 Hans de Goede 2007-04-01 04:17:52 EDT
Please report this upstream, I'm afraid there isn't much we can do with our
limited knowledge of qemu.

David, if you agree please close this as upstream.
Comment 2 Austin 2007-04-01 20:47:25 EDT
Where is "upstream", for this to be reported?

This problem has been constant between the 2.6.18 kernel, and the now
2.6.20-1.2933.fc6 kernel.
Comment 3 Hans de Goede 2007-04-02 01:00:34 EDT
You mean that if you downgrade to a 2.6.17 kernel this goes away?? Ifso, then
please change the component to kernel, if not then upstream is:
http://fabrice.bellard.free.fr/qemu/
and the place to report bugs upstream is:
http://qemu-forum.ipi.fi/
Comment 4 Austin 2007-04-02 04:02:48 EDT
Not quite - I tried Qemu out initially on the system with a kernel of
2.6.18-1.2849.fc6, and with the yum updates fo kernels to the most recent
2.6.20-1.2933.fc6 kernel, the problem has still been there. I wasn't sure if the
kernel revision was important, but I included this information regardless.
Comment 5 Hans de Goede 2007-04-02 04:04:10 EDT
(In reply to comment #4)
> Not quite - I tried Qemu out initially on the system with a kernel of
> 2.6.18-1.2849.fc6, and with the yum updates fo kernels to the most recent
> 2.6.20-1.2933.fc6 kernel, the problem has still been there. I wasn't sure if the
> kernel revision was important, but I included this information regardless.

Okay, in that case as already said please report this upstream, there isn't much
we can do:
http://fabrice.bellard.free.fr/qemu/
and the place to report bugs upstream is:
http://qemu-forum.ipi.fi/


Comment 6 Austin 2007-04-02 05:27:44 EDT
A similar problem has been reported here
(http://qemu-forum.ipi.fi/viewtopic.php?t=3175), but suggests disabling the
tablet mouse functionality. I tried this without success. Still high CPU usage.

Will move further queries to the forum and see what transpires.
Comment 7 Bug Zapper 2008-04-04 01:37:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 13:21:57 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.